Bug 1568725 - Enable VDO option Only if gdeploy version is greater than or equals to gdeploy-2.0.2-25
Summary: Enable VDO option Only if gdeploy version is greater than or equals to gdeplo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: 0.11.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.2.3
: ---
Assignee: Gobinda Das
QA Contact: SATHEESARAN
URL:
Whiteboard:
: 1568870 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 07:47 UTC by Gobinda Das
Modified: 2018-05-10 06:33 UTC (History)
5 users (show)

Fixed In Version: cockpit-ovirt-0.11.23-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-10 06:33:08 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.2?
rule-engine: blocker+
sasundar: planning_ack?
rule-engine: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 90434 0 master MERGED Enable VDO option 2018-04-24 17:55:53 UTC
oVirt gerrit 90608 0 ovirt-4.2 MERGED Enable VDO option 2018-04-24 17:56:08 UTC

Description Gobinda Das 2018-04-18 07:47:39 UTC
Description of problem:
 Currently gdeploy supports full feature of VDO from gdeploy-2.0.2-25 on wards.
Cockpit should make sure the version is greater or equal to enable vdo option.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Sahina Bose 2018-04-18 11:29:07 UTC
*** Bug 1568870 has been marked as a duplicate of this bug. ***

Comment 2 Ryan Barry 2018-04-18 12:02:14 UTC
This will need to be 4.2.4 unless it is a blocker or exception.

Comment 4 SATHEESARAN 2018-04-28 08:53:34 UTC
Tested with cockpit-ovirt-dashboard-0.11.23

1. Installed gdeploy-2.0.2-19, and verified that the VDO options are not enabled in UI
2. Installed gdeploy-2.0.2-26 and verified that the VDO options are enabled

Comment 5 Sandro Bonazzola 2018-05-10 06:33:08 UTC
This bugzilla is included in oVirt 4.2.3 release, published on May 4th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.3 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.